package net.krakatoa.proxy.listener;

import net.md_5.bungee.api.ChatColor;
import net.md_5.bungee.api.chat.BaseComponent;
import net.md_5.bungee.api.chat.ComponentBuilder;
import net.md_5.bungee.api.event.LoginEvent;
import net.md_5.bungee.api.plugin.Listener;
import net.md_5.bungee.event.EventHandler;

public class LoginListener implements Listener {

  // https://wiki.vg/Protocol_version_numbers

  private final BaseComponent[] component = new ComponentBuilder(
      "You must use 1.18.X to play here").color(
      ChatColor.RED).create();

  @EventHandler
  public void onLoginEvent(LoginEvent event) {
    // prevent players from joing with an version under 1.18
    if (event.getConnection().getVersion() < 757) {
      event.setCancelled(true);
      event.setCancelReason(component);
    }
  }
}
